function mobileRedirect(murl){
try {
if(document.getElementById("bdmark") != null){
return;
}
        
var urlhash = window.location.hash;
if (!urlhash.match("fromapp")){
if ((navigator.userAgent.match(/(iPhone|iPod|Android|ios|iPad|Symbia)/i))) {
location.replace(murl);
}
}
} catch(err){}
}

 

// nav menu
var timeout	= 500;
var closetimer	= 0;
var ddmenuitem	= 0;

// open hidden layer
function mopen(id)
{	
	// cancel close timer
	mcancelclosetime();

	// close old layer
	if(ddmenuitem) ddmenuitem.style.visibility = 'hidden';

	// get new layer and show it
	ddmenuitem = document.getElementById(id);
	ddmenuitem.style.visibility = 'visible';

}
// close showed layer
function mclose()
{
	if(ddmenuitem) ddmenuitem.style.visibility = 'hidden';
}

// go close timer
function mclosetime()
{
	closetimer = window.setTimeout(mclose, timeout);
}

// cancel close timer
function mcancelclosetime()
{
	if(closetimer)
	{
		window.clearTimeout(closetimer);
		closetimer = null;
	}
}

			$(document).ready(function(){
				//Caption Sliding (Partially Hidden to Visible)
				$('.boxgrid.caption').hover(function(){
					$(".cover", this).stop().animate({top:'0px'},{queue:false,duration:200});
				}, function() {
					$(".cover", this).stop().animate({top:'200px'},{queue:false,duration:200});
				});
			});


//产品分类导航
$(document).ready(function() {
//绑定元素点击事件
$(".GovPetMiddleList ul li").click(function() {
	//判断对象是显示还是隐藏
	if($(this).children(".div1").is(":hidden")){
		//表示隐藏
		if(!$(this).children(".div1").is(":animated")) {
			$(this).children(".xiala").css({'transform':'rotate(180deg)'}); 
			//如果当前没有进行动画，则添加新动画
			$(this).children(".div1").animate({
					height: 'show'
				}, 1000)
				//siblings遍历div1的元素
				.end().siblings().find(".div1").hide(1000);
		}
	} else {
		//表示显示
		if(!$(this).children(".div1").is(":animated")) {
			$(this).children(".xiala").css({'transform':'rotate(360deg)'});  
			$(this).children(".div1").animate({
					height: 'hide'
				}, 1000)
				.end().siblings().find(".div1").hide(1000);
		}
	}
});

//阻止事件冒泡，子元素不再继承父元素的点击事件
$('.div1').click(function(e){
	e.stopPropagation();
});

//点击子菜单为子菜单添加样式，并移除所有其他子菜单样式
$(".GovPetMiddleList ul li .div1 .zcd").click(function() {
	//设置当前菜单为选中状态的样式，并移除同类同级别的其他元素的样式
	$(this).addClass("removes").siblings().removeClass("removes");
	//遍历获取所有父菜单元素
	  $(".div1").each(function(){
	  		//判断当前的父菜单是否是隐藏状态
	  		if($(this).is(":hidden")){
	  			//如果是隐藏状态则移除其样式
	  			$(this).children(".zcd").removeClass("removes");
		  		}
		  });
	});
});

function doZoom(size){
document.getElementById('AllContent').style.fontSize=size+'px'}



function comment_check() {
if ( document.form1.PetName.value == '' ) {
window.alert('请输入姓名^_^');
document.form1.PetName.focus();
return false;}

if ( document.form1.PetTitle.value == '' ) {
window.alert('请输入主题^_^');
document.form1.PetTitle.focus();
return false;}

if ( document.form1.PetContent.value == '' ) {
window.alert('请输入内容^_^');
document.form1.PetContent.focus();
return false;}

if ( document.form1.PetEmail.value.length> 0 &&!document.form1.PetEmail.value.indexOf('@')==-1|document.form1.PetEmail.value.indexOf('.')==-1 ) {
window.alert('请设置正确的Email地址，如:admin@GovPet.com');
document.form1.PetEmail.focus();
return false;}

if(document.form1.PetTel.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("电话只能是数字^_^");   
document.form1.PetTel.focus();
return false;}

if ( document.form1.verycode.value == '' ) {
window.alert('请输入验证码^_^');
document.form1.verycode.focus();
return false;}

return true;}



//设为首页
function SetHome(obj,url){
    try{
        obj.style.behavior='url(#default#homepage)';
        obj.setHomePage(url);
    }catch(e){
        if(window.netscape){
            try{
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
            }catch(e){
                alert("抱歉，此操作被浏览器拒绝！\n\n请在浏览器地址栏输入'about:config'并回车然后将[signed.applets.codebase_principal_support]设置为'true'");
            }
        }else{
            alert("抱歉，您所使用的浏览器无法完成此操作。\n\n您需要手动将【"+url+"】设置为首页。");
        }
    }
}
//收藏本站
function AddFavorite(title, url) {
    try {
        window.external.addFavorite(url, title);
    }
    catch (e) {
        try {
            window.sidebar.addPanel(title, url, "");
        }
        catch (e) {
            alert("抱歉，您所使用的浏览器无法完成此操作。\n\n加入收藏失败，请使用Ctrl+D进行添加");
        }
    }
}
//保存到桌面
function toDesktop(sUrl,sName){
try {
    var WshShell = new ActiveXObject("WScript.Shell");
    var oUrlLink =          WshShell.CreateShortcut(WshShell.SpecialFolders("Desktop")     + "\\" + sName + ".url");
    oUrlLink.TargetPath = sUrl;
    oUrlLink.Save();
    }  
catch(e)  {  
          alert("当前IE安全级别不允许操作！");  
}
}    


$(document).ready(function(){
 	
	
	// 底部微信二维码
	$('.wchat').hover(function(){
		$('.wem1').stop().fadeIn();
	},function(){
		$('.wem1').stop().fadeOut();
	});
	// 底部微博二维码
	$('.weibo').hover(function(){
		$('.wem2').stop().fadeIn();
	},function(){
		$('.wem2').stop().fadeOut();
	});
});

